Last Comment Bug 760614 - Retry on connection failures, to address transient network errors
: Retry on connection failures, to address transient network errors
Status: RESOLVED FIXED
[sync], [qa+]
:
Product: Android Background Services
Classification: Client Software
Component: Android Sync (show other bugs)
: unspecified
: ARM Android
: P1 normal
: mozilla16
Assigned To: Chenxia Liu [:liuche]
:
Mentors:
: 760360 (view as bug list)
Depends on:
Blocks: 736393 762974
  Show dependency treegraph
 
Reported: 2012-06-01 11:27 PDT by Chenxia Liu [:liuche]
Modified: 2013-04-04 13:48 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
+


Attachments
Patch against m-i (2.48 KB, patch)
2012-06-04 18:06 PDT, Nick Alexander :nalexander
blassey.bugs: approval‑mozilla‑aurora+
blassey.bugs: approval‑mozilla‑beta+
Details | Diff | Review

Description Chenxia Liu [:liuche] 2012-06-01 11:27:38 PDT
This should also fix Bug 760360, which involves syncing on an unreliable network.

If the connection is closed while we process downloaded records, the sync fails. We should be more optimistic, because on unreliable networks, a simple retry of the connection should allow us to complete the sync.
Comment 1 Allison Naaktgeboren :ally 2012-06-01 12:11:18 PDT
mobile triage: blocks, duping tony's bug to here
Comment 2 Allison Naaktgeboren :ally 2012-06-01 12:11:45 PDT
*** Bug 760360 has been marked as a duplicate of this bug. ***
Comment 3 Nick Alexander :nalexander 2012-06-04 18:06:24 PDT
Created attachment 630021 [details] [diff] [review]
Patch against m-i
Comment 4 Nick Alexander :nalexander 2012-06-04 18:08:45 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/f0f924ac58d2
Comment 5 Geoff Lankow (:darktrojan) 2012-06-05 06:22:03 PDT
https://hg.mozilla.org/mozilla-central/rev/f0f924ac58d2
Comment 6 Mike Connor [:mconnor] 2012-06-05 07:45:34 PDT
Comment on attachment 630021 [details] [diff] [review]
Patch against m-i

[Approval Request Comment]
Bug caused by (feature/regressing bug #): 
User impact if declined: transient network errors cause missed syncs
Testing completed (on m-c, etc.): builds m-c and aurora
Risk to taking this patch (and alternatives if risky): low, patch is straightforward.
String or UUID changes made by this patch: none
Comment 7 Richard Newman [:rnewman] 2012-06-05 09:30:06 PDT
https://hg.mozilla.org/releases/mozilla-beta/rev/c4077ce9b0d6
Comment 8 Richard Newman [:rnewman] 2012-06-05 09:31:32 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/002be3d4ce41
Comment 9 Tony Chung [:tchung] 2012-06-05 11:50:46 PDT
Chenxia, how can this be verified?   at the very least, i'll retry my STR in bug 760360 from my home network next build.
Comment 10 Richard Newman [:rnewman] 2012-06-05 12:07:15 PDT
(In reply to Tony Chung [:tchung] from comment #9)
> Chenxia, how can this be verified?   at the very least, i'll retry my STR in
> bug 760360 from my home network next build.

In the general case, you'll need an environment that induces transient network errors.

In this specific case, you're looking for an environment like your home network -- one that seems to drop idle connections quite rapidly.
Comment 11 Aaron Train [:aaronmt] 2012-07-25 17:56:37 PDT
Still on the radar for verification on mozilla-15

Note You need to log in before you can comment on or make changes to this bug.